Subject: Re: UCC GETH does not work on my MPC8360EA

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 18 Sep 2008 14:43:38 +0200

Li Yang-R58472 wrote:
>> -----Original Message-----
>> From: linuxppc-dev-bounces+leoli=[email-masked] 
>> [mailto:linuxppc-dev-bounces+leoli=[email-masked]] 
>> On Behalf Of Wolfgang Grandegger
>> Sent: Wednesday, September 17, 2008 5:18 PM
>> To: linuxppc-dev
>> Subject: UCC GETH does not work on my MPC8360EA 
>>
>> Hello,
>>
>> I have a wired problems with my MPC8360EA using Linux 
>> 2.6.27-rc6. The UCC GEHT controller works fine with 100/Full 
>> but fails with 1000/Full.
>> What I see is that the TX done interrupts come (ifconfig's TX 
>> packet counter goes up), but the messages does not show up on 
>> the wire. RX seems to work properly, though.
>>
>> Any idea what's going wrong? Does someone got it working with 
>> 1000/Full?
> 
> This looks like an old problem that RGMII Tx shouldn't use internal
> delay while Rx should use.  So try to use 'rgmii-rxid' as
> phy-connection-type in device tree.  Also there should have been a fixup
> in u-boot for this.  So update to use latest u-boot might fix your
> problem.

I do not have problems with U-Boot using 1000/full. The DTS property

  phy-connection-type = "rgmii-rxid"

fixed the problem wuth Linux, indeed, but I realize slow boot over NFS
and sometimes I even get "nfs server not responding" with that setting.

Wolfgang.